WMALAUNCHER(1)

NAME
wmalauncher - Une application ancrable (dockapp) de type lanceur d'application.

SYNOPSIS
wmalauncher --help
wmalauncher --fonts-info [<PATH>[:<PATH>...]]
wmalauncher --config <FILE> [--prefix <PREFIX>] [OPTION]...
wmalauncher --command <CMD> --icon <ICON> [OPTION]...
wmalauncher --desktop-file <FILE>[:<FILE>...] [OPTION]... [OPTION] peut être :
  [--run-in-terminal] [--preferred-terminals <TERM>[:<TERM>...]]
  [--window-size <SIZE>] [--icon-padding <SIZE>] [--border-size <SIZE>]
  [--background-color <COLOR|GRADIENT>] [--hover-background-color <COLOR|GRADIENT>]
  [--border-color <COLOR|GRADIENT>] [--hover-border-color <COLOR|GRADIENT>]
  [--icon-search-path <PATH>[:<PATH>...]]
  [--desktop-file-search-path <PATH>[:<PATH>...]]
  [--font-search-path <PATH>[:<PATH>...]]
  [--tooltip-text <TEXT>] [--tooltip-font <FONT/SIZE>]
  [--tooltip-background-color <COLOR|GRADIENT>]
  [--tooltip-foreground-color <COLOR>]
  [--tooltip-border-size <SIZE>] [--tooltip-text-padding <SIZE>]
  [--tooltip-show-delay <DELAY>] [--tooltip-hide-delay <DELAY>]
  [--icon-grayscale] [--hover-icon-grayscale]
  [--frame <HICOLOR>/<HOVER_HICOLOR>:<LOCOLOR>/<HOVER_LOCOLOR
  [--icon-brightness <VALUE>] [--hover-icon-brightness <VALUE>]
  [--icon-contrast <VALUE>] [--hover-icon-contrast <VALUE>]
  [--icon-gamma <VALUE>] [--hover-icon-gamma <VALUE>]
  [--double-click [<DELAY>]] [--display <NAME>] [--broken-wm]

DESCRIPTION
wmalauncher est un lanceur d'application simple d'utilisation et hautement configurable spécialement conçu pour fluxbox mais qui fonctionne aussi parfaitement bien sous blackbox, openbox, windowmaker. wmalauncher supporte les icônes XPM, PNG, SVG icons, les fichiers .desktop, les polices true-type (pour le texte de l'infon-bulle), permet, entre autre, de configurer la luminosité, le contraste et la correction gamma des icônes, de tracer un cadre autour de l'icône, etc...

OPTION

-h|--help
    Affiche la page d'aide.

-f|--fonts-info [<PATH>[:<PATH>...]]
    Affiche des informations sur les polices supportées par défaut, et, le cas échéant, concernant les polices accessibles à partir du/des chemin(s) spécifiés en arguments.

-C|--config <FILE> [-p|--prefix <PREFIX>]
    Charge la configuration à partir du fichier <FILE>, puis, met à jour les paramètres pour lesquels il y a des entrées avec le préfixe <PREFIX>. Voir la section FICHIER DE CONFIGURATION pour plus d'informations à ce propos.

-c|--command <CMD> -i|--icon <ICON>
    Définit <CMD> comme étant la commande à exécuter, et, <ICON> comme étant l'icône à afficher. <ICON> peut être un chemin de fichier absolu, ou, un simple nom (avec ou sans extension) auquel cas wmalauncher utilisera le premier icône correspondant à <ICON> trouvé dans les "chemins de recherche d'icônes". Voir l'option --icon-search-path pour plus d'informations concernant les "chemins de recherche d'icônes".

-d|--desktop-file <FILE>[:<FILE>...]
    Charge le premier fichier .desktop correspondant à n'importe lequel des chemins/nom spécifiés en arguments, puis, configure, en conséquence, la commande à exécuter, l'icône à afficher, et le texte d'info-bulle. <FILE> peut être un chemin de fichier absolu, ou, un simple nom (avec ou sans extension) auquel cas wmalauncher utilisera le premier fichier .desktop correspondant à <FILE> trouvé dans les "chemins de recherche de fichiers .desktop". Voir l'option --desktop-file-search-path pour plus d'informations concernant les "chemins de recherche de fichiers .desktop".

-T|--run-in-terminal
    Active l'exécution de la commande/appliacation dans une fenêtre de terminal (voir l'option --preferred-terminals).

-P|--preferred-terminals <TERM>[:<TERM>...]
    Définit la liste des terminaux préférés. Le premier des terminaux de cette liste qui est présent sur le système est utilisé pour exécuter la commande/application lorsque (1) l'option --run-in-terminal est passée en argument, (2) le fichier .desktop passé en argument de l'option --desktop-file contient une entrée 'Terminal=true'. Par défaut, la liste des terminaux préférés est : /usr/bin/xterm:/usr/bin/rxvt:/usr/bin/xfce4-terminal:/usr/bin/konsole

-w|--window-size <SIZE>
    Fixe la taille de la fenêtre à <SIZE> x <SIZE>. 64 par défaut.

-g|--icon-padding <SIZE>
    Fixe la marge interieur autour de l'icône à <SIZE>. 3 par défaut.

-z|--border-size <SIZE>
    Fixe la bordure de la fenêtre à <SIZE>. 4 par défaut.

-k|--background-color <COLOR|GRADIENT>
    Définit la couleur unie <COLOR> ou le dégradé de couleurs <GRADIENT> comme couleur d'arrière plan. Par défaut à la couleur unie Black. Voir les sections COULEURS et DÉGRADÉS pour plus d'informations concernant les couleurs et dégradés supportées.

-K|--hover-background-color <COLOR|GRADIENT>
    Définit la couleur unie <COLOR> ou le dégradé de couleurs <GRADIENT> comme couleur d'arrière plan lors du survol de la souris. Par défaut à la couleur unie Black. Voir les sections COULEURS et DÉGRADÉS pour plus d'informations concernant les couleurs et dégradés supportés.

-b|--border-color <COLOR|GRADIENT>
    Définit la couleur unie <COLOR> ou le dégradé de couleurs <GRADIENT> comme couleur de bordure. Par défaut à la couleur unie White. Voir les sections COULEURS et DÉGRADÉS pour plus d'informations concernant les couleurs et dégradés supportés.

-B|--hover-border-color <COLOR|GRADIENT>
    Définit la couleur unie <COLOR> ou le dégradé de couleurs <GRADIENT> comme couleur de bordure lors du survol de la souris. Par défaut à la couleur unie Black. Voir les sections COULEURS et DÉGRADÉS pour plus d'informations concernant les couleurs et dégradés supportés.

-a|--icon-search-path <PATH>[:<PATH>...]
    Ajoute le(s) chemin(s) spécifié(s) en tête du "chemin de recherche des icônes", qui, initialement, inclut les chemins :
      ~/.icons:/usr/share/icons/Adwaita/scalable:/usr/share/icons/Adwaita/48x48:/usr/share/icons/hicolor/scalable:/usr/share/icons/hicolor/48x48:/usr/share/pixmaps:/usr/share/icons Tout chemin passé en argument qui n'est pas absolu est considéré comme étant relatif au chemin : /usr/share/icons

-A|--desktop-file-search-path <PATH>[:<PATH>...]
    Ajoute le(s) chemin(s) spécifié(s) en tête du "chemin de recherche des fichiers .desktop", qui, initialement, inclut les chemins :
     ~/.local/share/applications:/usr/share/applications

-n|--font-search-path <PATH>[:<PATH>...]
    Ajoute le(s) chemin(s) spécifié(s) en tête du "chemin de recherche de polices", qui, initialement, inclut les chemins :
      ~/.fonts:/usr/share/fonts/TTF:/usr/share/fonts/truetype:/usr/share/fonts/truetype/dejavu:/usr/share/fonts/truetype/liberation:/usr/share/fonts/dejavu:/usr/share/fonts/liberation

-t|--tooltip-text <TEXT>
    Définit <TEXT> comme étant le texte de l'info-bulle.

-F|--tooltip-font <FONT/SIZE>
    Sélectionne la police <FONT> en taille <SIZE> pour l'info-bulle. "DejaVuSans/11" par défaut.

-o|--tooltip-background-color <COLOR|GRADIENT>
    Définit la couleur unie <COLOR> ou le dégradé de couleurs <GRADIENT> comme couleur d'arrière plan de l'info-bulle. Par défaut à la couleur unie White. Voir les sections COULEURS et DÉGRADÉS pour plus d'informations concernant les couleurs et dégradés supportés.

-O|--tooltip-foreground-color <COLOR>
    Définit <COLOR> comme couleur d'avant plan de l'info-bulle. Black par défaut. Voir la section COULEURS pour plus d'informations concernant les couleurs supportées.

-Z|--tooltip-border-size <SIZE>
    Fixe la bordure de l'info-bulle à <SIZE>. 1 par défaut.

-G|--tooltip-text-padding <SIZE>
    Fixe la marge intérieur autour du texte de l'info-bulle à <SIZE>. 3 par défaut.

-l|--tooltip-show-delay <DELAY>
    Fixe à <DELAY> millisecondes le delai avant affichage de l'info-bulle. 1000 ms par défaut.

-L|--tooltip-hide-delay <DELAY>
    Fixe à <DELAY> millisecondes le delai avant masquage de l'info-bulle. 5000 ms par défaut.

-y|--icon-grayscale
    Affiche l'icône en niveaux de gris.

-Y|--hover-icon-grayscale
    Affiche l'icône en niveaux de gris lors du survol de la souris.

-E|--frame <HICOLOR>/<HOVER_HICOLOR>:<LOCOLOR>/<HOVER_LOCOLOR>[:SIZE]
    Trace un rectangle d'une épaisseur de <SIZE> pixels autour de l'icône. Les bord supérieur et gauche sont peints avec la couleur <HICOLOR>, alors que les bords inférieur et droit sont peints avec la couleur <LOCOLOR>. Ces couleurs sont remplacées par les couleurs <HOVER_HICOLOR> et <HOVER_LOCOLOR> lors du survole de la souris. Les couleurs <HI>/<LO> sont permutées lorsque le bouton gauche de la souirs est enfoncé, sauf si l'option -2|--double-click est utilisée. Configuration par défaut: White/White:Black/Black:1 Voir la section COULEURS pour plus d'informations concernant les couleurs supportées.

-r|--icon-brightness <VALUE>
    Fixe la luminosité de l'iĉone à <VALUE>. 0.000000 par défaut. Voir la section ICON: LUMINOSITE, CONTRASTE ET GAMMA pour plus d'information concernant les valeurs de luminosité.

-R|--hover-icon-brightness <VALUE>
    Fixe la luminosité de l'icône lors du survol de la souris à <VALUE>. 0.000000 par défaut. Voir la section ICON: LUMINOSITE, CONTRASTE ET GAMMA pour plus d'information concernant les valeurs de luminosité.

-s|--icon-contrast <VALUE>
    Fixe le contraste de l'icône à <VALUE>. 1.000000 par défaut. Voir la section ICON: LUMINOSITE, CONTRASTE ET GAMMA pour plus d'information concernant les valeurs de contraste.

-S|--hover-icon-contrast <VALUE>
    Fixe le contraste de l'icône lors du survol de la souris à <VALUE>. 1.000000 par défaut. Voir la section ICON: LUMINOSITE, CONTRASTE ET GAMMA pour plus d'information concernant les valeurs de contraste.

-m|--icon-gamma <VALUE>
    Fixe la correction gamma de l'icône à <VALUE>. 1.000000 par défaut. Voir la section ICON: LUMINOSITE, CONTRASTE ET GAMMA pour plus d'information concernant les valeurs de gamma.

-M|--hover-icon-gamma <VALUE>
    Fixe la correction gamma de l'icône lors du survol de la souris à <VALUE>. 1.000000 par défaut. Voir la section ICON: LUMINOSITE, CONTRASTE ET GAMMA pour plus d'information concernant les valeurs de gamma.

-2|--double-click [<DELAY>]
    Active l'option "exécution de la commande par double-clic" et fixe, le cas échéant, le délai de double-click à <DELAY> (450 ms par défaut).

-D|--display <NAME>
    Définit <NAME> comme écran du serveur X sur lequel l'application doit s'afficher.

-W|--broken-wm
    Active le correctif pour les gestionnaires de fenêtres "à problèmes".

FICHIER DE CONFIGURATION
Le fichier passé en argument de l'option -C|--config doit être au format texte brut avec des entrées au format :
  [prefix.]key=value Les lignes en commentaires, c-a-d débutant par un # -précédée ou non par des espaces-, sont ignorées. Les espaces avant et après les valeurs sont automatiquement supprimés. Lorsqu'il y a plus d'une occurence d'une entrée [prefix.]key, seule la première valeur est chargée. Toutes les autres sont ignorées. key peut être le nom, sans les tirets, de n'importe laquelle des options supportées, à l'exception de : help, fonts-info, display, and, broken-wm :
    Clé | Type
    command | Chaîne de caractères
    icon | Chaîne de caractères
    desktop-file | Chaîne de caractères
    run-in-terminal | Booléen (1)
    preferred-terminals | Chaîne de caractères
    window-size | Entier
    icon-padding | Entier
    border-size | Entier
    background-color | Chaîne de caractères (2,3)
    hover-background-color | Chaîne de caractères (2,3)
    border-color | Chaîne de caractères (2,3)
    hover-border-color | Chaîne de caractères (2,3)
    icon-search-path | Chaîne de caractères
    desktop-file-search-path | Chaîne de caractères
    font-search-path | Chaîne de caractères
    tooltip-text | Chaîne de caractères
    tooltip-font | Chaîne de caractères
    tooltip-background-color | Chaîne de caractères (2,3)
    tooltip-foreground-color | Chaîne de caractères (2)
    tooltip-border-size | Entier
    tooltip-text-padding | Entier
    tooltip-show-delay | Entier
    tooltip-hide-delay | Entier
    icon-grayscale | Booléen (1)
    hover-icon-grayscale | Booléen (1)
    frame | Chaîne de caractères
    icon-brightness | Flottant
    hover-icon-brightness | Flottant
    icon-contrast | Flottant
    hover-icon-contrast | Flottant
    icon-gamma | Flottant
    hover-icon-gamma | Flottant
    double-click | Entier
(1) Les valeurs booléenne autorisées sont: 1, true, on, yes, 0, false, off, no. (2) Voir la section COULEURS pour plus d'informations concernant les couleurs supportées. (3) Voir la section DÉGRADÉS pour plus d'informations concernant les dégradés supportés. prefix peut être n'importe quelle chaîne de caractères. Lors de l'exécution de la commande 'wmalauncher --config F --prefix P', la valeur des clés non préfixées trouvées dans F sont chargées en premier, puis la valeur des clés ayant P pour préfixe. Cela permet la mise en oeuvre de fichiers de configuration avec une section global pour les paramètres visuels, et des sections "préfixées" pour les applications. Exemple :

  # Paramètres visuels (Section globale)
  #
  window-size = 72
  icon-padding = 8
  border-size = 4
  background-color = Azure
  hover-background-color = Azure
  border-color = Dodger Blue
  hover-border-color = Deep Sky Blue
  icon-grayscale = on
  hover-icon-grayscale = off
  tooltip-show-delay = 250
  tooltip-hide-delay = 30000
  hover-icon-brightness = 0.25

  # Section dédiée à l'application firefox (prefix=firefox)
  #
  firefox.desktop-file = mozilla-firefox.desktop
  # Section dédiée à l'application thunderbird (prefix=thunderbird)
  #
  thunderbird.desktop-file = mozilla-thunderbird.desktop

  # Section dédiée à l'application htop (prefix=htop)
  #
  # Cette section ne fait pas usage du fichier .desktop afin
  # d'illustrer comment configurer manuellement wmalauncher
  # dans le cas d'une application devant être exécuté dans une
  # fenêtre de terminal.
  #
  htop.command = /usr/bin/htop
  htop.icon = htop
  htop.run-in-terminal = true
  htop.preferred-terminals = /usr/bin/xfce4-terminal:/usr/bin/xterm
  htop.tooltip-text = Interactive Process Viewer Le fichier de configuration ci-dessus peut être utilisé pour démarrer 3 instances de wmalauncher respectivement dédié à l'exécution du navigateur firefox, du client de messagerie thunderbird, et du moniteur système htop. Exemple :
  $ wmalauncher --config F --prefix firefox &
  $ wmalauncher --config F --prefix thunderbird &
  $ wmalauncher --config F --prefix htop &

COULEURS
Tout argument de type COLOR peut être un nom de couleur X11, ou bien, un triplet-hexadécimal au format #rrggbb. Pour une liste complète des noms de couleur X11, voir :
    https://en.wikipedia.org/wiki/X11_color_names

DÉGRADÉS
wmalauncher supporte les dégradés entre 2 couleurs (ou plus) de type horizontal, vertical et diagonal. Tout dégradé de couleurs doit être spécifié par une chaîne de caractères au format :
    <TYPE>:<COLOR_1>,<COLOR_2>[,<COLOR_i> ...]

<TYPE> peut être :
    • HGRAD : dégradé horizontal de la gauche vers la droite.
    • VGRAD : dégradé vertical du haut vers le bas.
    • DGRAD : dégradé diagonal du coin supérieur gauche au coin inférieur droit.
<COLOR_i> peut être n'importe laquelle des couleurs supportés. Voir la section COULEURS pour plus d'informations à ce sujet. Exemples:
    • HGRAD:Black,White
        Définit un dégradé horizontal entre les couleurs Black et White.
    • VGRAD:Black,Red,White
        Définit un dégradé vertical entre les couleurs Black et Red puis entre les couleurs Red et White.
    • DGRAD:Green,Blue
        Définit un dégradé en diagonal entre les couleurs Green et Blue.

ICON: LUMINOSITE, CONTRASTE ET GAMMA
Tel qu'indiqué dans la documentation Imlib2 :
    • Une luminosité de 0 est normal. Tout devient noir avec une luminosité de -1.0, tout devient blanc avec une luminosité de 1.0. Les valeurs intermédiaires font varier la luminosité linéairement.
    • Un contraste à 1.0 est normal. 0.0 donne du gris, 2.0 double le contraste, etc.
    • Un gamma de 1.0 est normal, 2.0 éclaircit et 0.5 assombrit, etc. Les valeurs négatives ne sont pas autorisées.

AUTHORS
Sébastien Ballet <slacker6896@gmail.com>